<section class="profile_body">
  <div class="container">
    <div class="profile_body_margin">
      <div class="row">
        <div class="col-md-4 noPadding_mobile">
          <div class="card mb-5">
            <div class="card-body">
              <div class="row">
                <div class="col-md-12 noPadding_mobile">
                  <div class="profile_info">
                    <!-- <img src="img/banner_img1.png"/> -->
                    <div class="avatar-upload">
                      <div class="avatar-edit">

                        <div>
                          <input type="file" id="imageUpload_custom" name="buyer_profile_photo" #buyer_profile_photo
                            (change)="fileChangedPhoto($event)" *ngIf="is_Buyer==true"
                            ([ngModel])="loggedIn_ProfileDetails.personal_info.profile_picture"
                            accept="image/jpeg image/bmp image/jpg image/png image/gif" />
                          <label for="imageUpload_custom"></label>
                        </div>

                        <!-- <span class="error_msg" [style.display]="photoCopySpan" style="display: block;"
                                        *ngIf="checkvalidation_personalInfo && !photoCopy">
                                        Please Add Profile picture
                                    </span> -->
                      </div>
                      <div class="avatar-preview"
                        *ngIf="(buyer_profile_photo!=null && buyer_profile_photo!=undefined) || buyer_data_source!=null">
                        <div class="profile_img image_after_upload">
                          <button class="profile_img_btn">
                            <img src="{{buyer_data_source}}" class="profile_img" (click)="openImage(buyer_data_source)"/>
                            <!-- <i class="fa fa-times-circle image-cancel" style="position: absolute;right: 60px;font-size: 20px;"
                                  (click)="deleteImage()"></i> -->
                          </button>
                        </div>
                      </div>
                    </div>
                    <h4>{{userName}}</h4>
                    <div class="Profile_Name_Editable_field">
                      <p class="profile_name_div">
                        {{firstName}}<span style="padding-left:5px;">{{lastName}}</span><a href="javascript:void(0);" class="fa fa-pencil profile_edit_pencil"
                          (click)="onProfilename_editPencilbtn()" *ngIf="is_Buyer==true"></a></p>
                      <form class="Edit_profile_form" *ngIf="openProfileModal==true">
                        <div class="editProfile_name">

                          <input type="text" maxlength="30" class="one-liner" placeholder="First Name"
                            autocomplete="off" [(ngModel)]="firstName" name="profile_firstname" #first_name="ngModel"
                            required (keypress)="onlyCharacters_withApostrophe($event)" onpaste="return false" />

                          <input type="text" maxlength="30" class="one-liner" placeholder="Last Name" autocomplete="off"
                            [(ngModel)]="lastName" name="profile_lastname" #last_name="ngModel" required onpaste="return false"
                            (keypress)="onlyCharacters_withApostrophe($event)" />

                        </div>
                        <div class="row" style="position: relative;top: -8px;">
                          <div class="col-md-6 text-right noPadding_mobile">
                            <span class="error_msg" style="color: red;"
                              *ngIf="checkvalidation_personalInfo && first_name.errors?.required">
                              Please Enter First Name
                            </span>
                          </div>
                          <div class="col-md-6 text-left noPadding_mobile">
                            <span class="error_msg" style="color: red;"
                              *ngIf="checkvalidation_personalInfo && last_name.errors?.required">
                              Please Enter Last Name
                            </span>
                          </div>
                        </div>
                        <div class="controls">
                          <a href="javascript:void(0);" class="profile_cancel_btn_fit"
                            (click)="onCancel_ProfileInfo()">Cancel</a>
                          <a href="javascript:void(0);" class="profile_update_btn_fit"
                            (click)="onProfileName_Update()">Update</a>
                        </div>
                      </form>
                    </div>
                  </div>
                  <div class="user-stats-desc">
                    <ul class="user-stats">
                      <li class="location">From<b>India</b></li>
                      <li class="member-since">Member since<b>{{account_Created_date|date:'MMM yyyy'}}</b></li>
                      <!-- <li class="vacation">Out of Office
                        <div class="checkbox checbox-switch">
                          <label class="switch">
                            <input type="checkbox">
                            <span class="slider round"></span>
                          </label>
                        </div>
                      </li> -->
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-body">
              <div class="row">
                <div class="col-md-12 noPadding_mobile">
                  <div class="Description_div">
                    <h4>Description <a href="javascript:void(0);" class="add" *ngIf="is_Buyer==true" (click)="onEditDescription()">Edit
                        Description</a></h4>
                    <div class="card description_card" *ngIf="openEditDescriptionModal==true">
                      <div class="card-body">
                        <!-- <textarea maxlength="600" rows="5" class="form-control" minlength="150" placeholder="Please tell us about any hobbies, additional expertise, or anything else you’d like to add."></textarea> -->
                        <textarea class="form-control" rows="4" id="message1" minlength="150" maxlength="600"
                          placeholder="Please tell us about any hobbies,additional expertise,or anything else you'd like to add."
                          [(ngModel)]="description" name="description" required #txtdescription="ngModel" onpaste="return false">
                        </textarea>

                        <span class="error_msg" *ngIf="checkvalidation_description && txtdescription.errors?.required">
                          Please Enter Description
                        </span>


                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" class="btn btn-secondary Description_Cancel_btn btn-block"
                              (click)="onCancelDescriptionBtn()" value="Cancel">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              (click)="onUpdateDescription()">
                          </div>

                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" class="btn btn-secondary Description_Cancel_btn btn-block" 
                            style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" (click)="onCancelDescriptionBtn()" value="Cancel">
                          </div>

                        </div>
                      </div>
                    </div>
                  </div>
                  <hr style="margin: 30px 0px;" />


                  <div class="Language_div">
                    <h4>Languages <a href="javascript:void(0);" class="add" *ngIf="is_Buyer==true" (click)="onAddNewLanguageClick()">Add
                        New</a></h4>
                    <div class="card Language_card" *ngIf="openLanguageModal==true">
                      <div class="card-body">
                        <div class="form-group">
                          <!-- <input type="text" class="form-control" placeholder="Add Language"> -->
                          <form>
                            <kendo-autocomplete [data]="autoCompLangugeListItem" [valueField]="'lang_name'"
                            [filterable]="true" (filterChange)="handleLanguageFilter($event)" class="form-control"
                            [placeholder]="'Select Language'" [value]="languageDetails.lang_name"
                            name="autoCompLanguage" required (keypress)="onlyCharacters($event)" onpaste="return false">
                            <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                              <div style="font-size: 15px; width: 100%; color: #00F;" (click)="onSpanLanguageSelected(dataItem)">
                                {{dataItem.lang_name}}
                              </div>
                            </ng-template>
                          </kendo-autocomplete>
                          </form>
                          
                          <span class="error_msg"
                            *ngIf="checkvalidation_languageModal && languageDetails.lang_name==''">
                            Please Enter Language
                          </span>

                        </div>
                        <div class="form-group">
                          <select class="form-control" name="languageProfeciency"
                            [(ngModel)]="getLanguageProfeciency.id" (change)="onSelection()" required>
                            <option value="0">Select Option</option>
                            <option *ngFor="let option of languageProfeciencyList" value={{option.id}}>
                              {{option.lang_proficiency_name}}
                            </option>
                          </select>
                          <span class="error_msg" *ngIf="checkvalidation_languageModal && getLanguageProfeciency.id==0">
                            Please Select Language Proficiency
                          </span>

                        </div>
                        <hr>
                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" id="Language_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;" (click)="onLanguageCancelBtn()">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              (click)=onLanguageUpdateClick() style="margin: 0px;">
                          </div>
                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" id="Language_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" (click)="onLanguageCancelBtn()">
                          </div>
                        </div>
                      </div>
                    </div>

                    <ng-container *ngIf="buyer_languageDetailsList!=undefined && buyer_languageDetailsList.length>0">
                      <ul class="items-list" *ngFor="let item of buyer_languageDetailsList">
                        <li><span class="title">{{item.lang_name}} </span>
                          <span class="sub-title">{{item.lang_proficiency_name}}</span>
                          <input type="hidden" value="basic">
                          <div class="animate">
                            <span class="hint--top" data-hint="Edit">
                              <a href="javascript:void(0);" class="pencil" *ngIf="is_Buyer==true" (click)="onEditLanguage_pencilBtn(item)"></a>
                              <a href="javascript:void(0);" class="delete_icon" *ngIf="is_Buyer==true" (click)="onDeleteLanguage(item)"></a>
                            </span>
                          </div>
                        </li>
                      </ul>
                    </ng-container>
                  </div>
                  <hr style="margin: 30px 0px;" />
                  <div class="Linked_Accounts_div">
                    <h4>Linked Accounts</h4>
                    <ul>
                      <!-- <li class="facebook js-btn-facebook-connect is-selected" data-should-redirect="false"
                        data-platform="facebook"><span>Facebook</span></li>
                      <li class="google js-btn-google-connect " data-should-redirect="false" data-platform="google">
                        <span>Google</span></li>
                      <li class="dribbble js-btn-dribbble-connect " data-should-redirect="false"
                        data-platform="dribbble"><span>Dribbble</span></li>
                      <li class="stack_exchange js-btn-stackexchange-connect " data-should-redirect="false"
                        data-platform="stack_exchange"><span>Stack Overflow</span></li>
                      <li class="behance js-btn-behance-connect " data-should-redirect="false" data-platform="behance">
                        <span>Behance</span></li>
                      <li class="github js-btn-github-connect " data-should-redirect="false" data-platform="github">
                        <span>GitHub</span></li>
                      <li class="vimeo js-btn-vimeo-connect " data-should-redirect="false" data-platform="vimeo">
                        <span>Vimeo</span></li>
                      <li class="twitter js-btn-twitter-connect " data-should-redirect="false" data-platform="twitter">
                        <span>Twitter</span></li> -->
                      <ng-container *ngFor="let item of social_mediaList?.social_media_array">
                        <div class="row">
                          <div class="col-md-6 col-xs-6 noPadding_mobile">
                            <div class="form-group">
                              <h5 class="label_heading">
                                <img src="assets/img/google_img.svg" width="25" style="margin-right: 10px;"
                                  *ngIf="item.social_media_name=='Google'">
                                <img src="assets/img/facebook_img.svg" width="25" style="margin-right: 10px;"
                                  *ngIf="item.social_media_name=='Facebook'"> {{item.social_media_name}}
                                <small class="verified_css" *ngIf="item.is_verified==true">✓ Verified</small>
                              </h5>
                            </div>
                          </div>
                          <div class="col-md-6 col-xs-6 text-right noPadding_mobile">
                            <div class="form-group">
                              <a href="javascript:void(0);" class="btn btn-secondary connect_btn"
                                (click)="linkedAccounts_connect_click(item.social_media_name)"
                                *ngIf="item.is_verified==false">Connect</a>
                              <a href="javascript:void(0);" class="btn btn-secondary connected_btn"
                                *ngIf="item.is_verified==true">Connected</a>
                            </div>
                          </div>
                        </div>
                      </ng-container>
                    </ul>
                  </div>
                  <hr style="margin: 30px 0px;" />
                  <div class="Skills_div">
                    <h4>Skills <a href="javascript:void(0);" class="add" *ngIf="is_Buyer==true" (click)="onAddNewSkillClick()">Add New</a></h4>
                    <div class="card Skills_card" *ngIf="openSkillModal==true">
                      <div class="card-body">
                        <div class="form-group">
                          <form>
                            <kendo-autocomplete [data]="autoCompSkillItem" [valueField]="'skill_name'" [filterable]="true"
                              (filterChange)="handleSkillFilter($event)" class="form-control" (change)="onskillLevelChange()"
                              [placeholder]="'Select Skill'" [value]="skillDetails.skill_name" name="autoCompSkill"
                              required (keypress)="onlyCharacters($event)" onpaste="return false">
                              <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                                <div style="font-size: 15px; width: 100%; color: #00F;" (click)="onSpanSkillSelected(dataItem)">{{dataItem.skill_name}}
                                </div>
                              </ng-template>
                            </kendo-autocomplete>
                          </form>
                          <span class="error_msg" *ngIf="checkvalidation_skillModal && skillDetails.skill_name==''">
                            Please Enter Skill
                          </span>
                        </div>
                        <div class="form-group">
                          <select class="form-control" [(ngModel)]="getSkillLevel.id" name="skillLevel">
                            <option value="0">Select Skill Level</option>
                            <option *ngFor="let option of skillsLevelList" value={{option.id}}>
                              {{option.skill_level_name}}
                            </option>
                          </select>
                          <span class="error_msg" *ngIf="checkvalidation_skillModal && getSkillLevel.id==0">
                            Please Select Skill Level
                          </span>
                        </div>
                        <hr>
                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" id="Skills_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;" (click)="onCancelSkill()">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              style="margin: 0px;" (click)="onUpdateSkill()">
                          </div>
                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" id="Skills_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" (click)="onCancelSkill()">
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row mt-3 mb-3 sss">
                      <div class="col-md-12 noPadding_mobile">

                        <ng-container *ngIf="buyer_skillDetailsList!=undefined && buyer_skillDetailsList.length>0">
                          <div class="chip" *ngFor="let item of buyer_skillDetailsList">
                            {{item.skill_name}}
                            <span class="edit_skill_pencil"><i class="fa fa-pencil"
                                (click)="onEditSkill_pencilBtn(item)" *ngIf="is_Buyer==true"></i></span>
                            <span class="trashbtn_Profile"><i class="fa fa-trash"
                                (click)="onDeleteSkill(item)" *ngIf="is_Buyer==true"></i></span>
                            <!-- <span class="closebtn" onclick="this.parentElement.style.display='none'"
                              (click)="onDeleteSkill(item)">&times;</span> -->
                          </div>
                        </ng-container>
                      </div>
                    </div>

                    <!-- <div class="row">
                      <div class="col-md-12">
                        <h5 style="color: silver;">Suggestions:</h5>
                        <div class="chip edit_skill_pencil">
                          photo editing
                        </div>
                        <div class="chip edit_skill_pencil">
                          logo design
                        </div>
                        <div class="chip edit_skill_pencil">
                          adobe photoshop
                        </div>
                        <div class="chip edit_skill_pencil">
                          graphic design
                        </div>
                      </div>
                    </div> -->

                    <!-- <ul class="items-list">
                      <li><span class="title">English</span>
                        <span class="sub-title">Basic</span>
                        <input type="hidden"  value="basic">
                        <div class="animate">
                          <span class="hint--top" data-hint="Edit">
                            <a href="javascript:void(0);" class="pencil"></a>
                          </span>
                        </div>
                      </li>
                    </ul> -->
                  </div>
                  <hr style="margin: 30px 0px;" />
                  <div class="Education_div">
                    <h4>Education <a href="javascript:void(0);" class="add" *ngIf="is_Buyer==true" (click)="onAddNewEducation()">Add New</a>
                    </h4>
                    <div class="card Education_card" *ngIf="openEducationModal==true">
                      <div class="card-body">
                        <div class="form-group">
                          <select class="form-control form_control_border_radius" name="country"
                            [(ngModel)]="getCountry.id" #txt_countryList="ngModel" required>
                            <option value="0">Select Country of College/University</option>
                            <option *ngFor="let option of countryList" value={{option.id}}>
                              {{option.country_name}}
                            </option>
                          </select>
                          <span class="error_msg" *ngIf="checkvalidation_educationModal && getCountry.id==0">
                            Please Select Country Name
                          </span>

                        </div>
                        <div class="form-group">
                          <form>
                            <kendo-autocomplete [data]="autoCompUniversityListItem" [valueField]="'university_name'"
                              [filterable]="true" (filterChange)="handleUniversityFilter($event)" class="form-control"
                              [placeholder]="'Select University'" [value]="universityDetails.university_name"
                              name="autoCompUniversity" required (keypress)="onlyCharacters_withApostrophe($event)" onpaste="return false">
                              <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                                <div style="font-size: 15px; width: 100%; color: #00F;" (click)="onSpanUniversitySelected(dataItem)">
                                  {{ dataItem.university_name }}</div>
                              </ng-template>
                            </kendo-autocomplete>
                          </form>
                          <span class="error_msg"
                            *ngIf="checkvalidation_educationModal && universityDetails.university_name==''">
                            Please Enter University Name
                          </span>
                        </div>
                        <div class="form-group">
                          <!-- <input type="text" class="form-control" placeholder="Add Education"> -->
                          <select class="form-control form_control_border_radius" name="title" [(ngModel)]="getTitle.id"
                            (change)="onTitleChange()" required>
                            <option value="0">Select Title From List</option>
                            <option *ngFor="let option of titleList" value={{option.id}}>
                              {{option.education_title_name}}
                            </option>
                          </select>
                          <span class="error_msg" *ngIf="checkvalidation_educationModal && getTitle.id== 0">
                            Please Select Education Title
                          </span>

                        </div>
                        <div class="form-group">
                          <!-- <input type="text" class="form-control" placeholder="Add Education"> -->
                          <form>
                            <kendo-autocomplete [data]="autoCompMajorListItem" [valueField]="'education_major_name'"
                            [filterable]="true" (filterChange)="handleMajorFilter($event)" class="form-control"
                            [placeholder]="'Select Education Degree'" [value]="majorDetails.education_major_name"
                            name="autoCompMajor" required onpaste="return false">
                            <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                              <div style="font-size: 15px; width: 100%; color: #00F;" (click)="onSpanMajorSelected(dataItem)">
                                {{dataItem.education_major_name}}
                              </div>
                            </ng-template>
                          </kendo-autocomplete>
                          </form>
                          
                          <span class="error_msg"
                            *ngIf="checkvalidation_educationModal && majorDetails.education_major_name==''">
                            Please Enter Education Degree
                          </span>
                        </div>

                        <div class="form-group">
                          <!-- <select class="form-control form_control_border_radius" name="year" [(ngModel)]="getYear.year"
                            required>
                            <option value="0">Year of graduation</option>
                            <option *ngFor="let option of yearListForEducation" value={{option.year}}>
                              {{option.year}}
                            </option>
                          </select> -->
                          <kendo-datepicker id="year_education" [bottomView]="'decade'" style="width: 100%;"
                            [format]="'yyyy'" (valueChange)="onEducationYearChange()" [(ngModel)]="getYear_year"
                            name="year_education" [placeholder]="'Education Year'" [max]="maxDate"
                            [focusedDate]="focusedDate">
                          </kendo-datepicker>
                          <span class="error_msg" *ngIf="checkvalidation_educationModal && getYear.year==0">
                            Please Select Education Year
                          </span>

                        </div>
                        <hr>
                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" id="Education_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;" (click)="onEducationCancelBtn()">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              style="margin: 0px;" (click)="onUpdateEducationDetails()">
                          </div>
                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" id="Education_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" (click)="onEducationCancelBtn()">
                          </div>
                        </div>
                      </div>
                    </div>

                    <ng-container
                      *ngIf="buyer_educationlDetailsList!=undefined && buyer_educationlDetailsList.length>0">
                      <ul class="items-list" *ngFor="let item of buyer_educationlDetailsList">
                        <li>
                          <h4 class="title">{{item.education_title_name}} - {{item.education_major_degree}}
                            <div class="animate">
                              <span class="hint--top" data-hint="Edit">
                                <a href="javascript:void(0);" class="pencil"
                                  (click)="onEditEducation_pencilBtn(item)" *ngIf="is_Buyer==true"></a>
                                <a href="javascript:void(0);" class="delete_icon" *ngIf="is_Buyer==true" (click)="onDeleteEducation(item)"></a>
                              </span>
                            </div>
                          </h4>
                          <!-- <h5 class="sub-title">Master University, India, Graduated 2005</h5> -->
                          <h5 class="sub-title">{{item.university_name}}, {{item.country_name}}, Graduated
                            {{item.education_year}}
                          </h5>
                        </li>
                      </ul>
                    </ng-container>
                  </div>
                  <hr style="margin: 30px 0px;" />
                  <div class="Certification_div">
                    <h4>Certification <a href="javascript:void(0);" *ngIf="is_Buyer==true" class="add" (click)="onAddNewCertification()">Add
                        New</a></h4>
                    <div class="card Certification_card" *ngIf="openCertificationModal==true">
                      <div class="card-body">
                        <div class="form-group">
                          <input type="text" class="form-control" placeholder="Certificate or Award" onpaste="return false"
                            [(ngModel)]="certificateOrAward" #txt_CertificateOrAward="ngModel" required (keypress)="onlyCharacters($event)" >
                          <span class="error_msg"
                            *ngIf="checkvalidation_certificationModal && txt_CertificateOrAward.errors?.required">
                            Please Enter Certification
                          </span>
                        </div>
                        <div class="form-group">
                          <input type="text" class="form-control" placeholder="Certified From (e.g. Adobe)" onpaste="return false"
                            [(ngModel)]="certificateFrom" #txt_certification_From="ngModel" required (keypress)="onlyCharacters($event)" >
                          <span class="error_msg"
                            *ngIf="checkvalidation_certificationModal && txt_certification_From.errors?.required">
                            Please Enter Certification From
                          </span>
                        </div>
                        <div class="form-group">
                          <!-- <select class="form-control" [(ngModel)]="getCertificationYear.year" name="certificationYear">
                            <option value="0">Year</option>
                            <option *ngFor="let option of yearList" value={{option.year}}>
                              {{option.year}}
                            </option>
                          </select> -->
                          <kendo-datepicker id="year_certification" [bottomView]="'decade'" style="width: 100%;"
                            [format]="'yyyy'" (valueChange)="onCertificationYearChange()"
                            [(ngModel)]="certificateYear" name="year_certification"
                            [placeholder]="'Certification Year'" [max]="maxDate" [focusedDate]="focusedDate">
                          </kendo-datepicker>
                          <span class="error_msg"
                            *ngIf="checkvalidation_certificationModal && (certificateYear==null || certificateYear==undefined)">
                            Please Select Certification Year
                          </span>
                        </div>
                        <hr>
                        <div class="row">
                          <div class="col-md-6 show_desktop">
                            <input type="button" id="Certification_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;" (click)="onCertificateCancelBtn()">
                          </div>
                          <div class="col-md-6 noPadding_mobile">
                            <input type="submit" class="btn btn-warning Description_Update_btn btn-block" value="Update"
                              style="margin: 0px;" (click)="onUpdateCertification()">
                          </div>
                          <div class="col-md-6 show_xs noPadding_mobile">
                            <input type="button" id="Certification_Cancel"
                              class="btn btn-secondary Description_Cancel_btn btn-block" value="Cancel"
                              style="margin: 0px;margin-top: 15px;margin-bottom: 0px !important;" (click)="onCertificateCancelBtn()">
                          </div>
                        </div>
                      </div>
                    </div>
                    <ng-container
                      *ngIf="buyer_CertificationDetailsList!=undefined && buyer_CertificationDetailsList.length>0">
                      <ul class="items-list" *ngFor="let item of buyer_CertificationDetailsList">
                        <li>
                          <!-- <h4 class="title">.Net Certification -->
                          <h4 class="title">{{item?.certificate_Award}}
                            <div class="animate">
                              <span class="hint--top" data-hint="Edit">
                                <a href="javascript:void(0);" class="pencil"
                                  (click)="onEditcertification_pencilBtn(item)" *ngIf="is_Buyer==true"></a>
                                <a href="javascript:void(0);" class="delete_icon"
                                  (click)="onDeleteCertification(item)" *ngIf="is_Buyer==true"></a>
                              </span>
                            </div>
                          </h4>
                          <h5 class="sub-title">{{item.certified_from}}, {{item.certification_year}}</h5>
                        </li>
                      </ul>
                    </ng-container>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-8 noPadding_mobile">
          <div class="Buyer_question_answers">
            <div class="card">
              <div class="card-header">
                <h4>Profile Information</h4>
                <p>Tell us a bit bout your needs and get customized recommendations.<br />Don't worry, this information
                  will private, and will not be displayed on the platform</p>
              </div>
              <div class="card-body">
                <div class="mb-3">
                  <h4>Which option best describes you?</h4>
                  <ul>
                    <li>
                      <label class="radio">I own a business
                        <input type="radio" name="describes_you" value="own_a_business">
                        <span class="checkround"></span>
                      </label>
                    </li>
                    <li>
                      <label class="radio">I'm a freelancer
                        <input type="radio" name="describes_you" value="freelancer">
                        <span class="checkround"></span>
                      </label>
                    </li>
                    <li>
                      <label class="radio">I'm an employee
                        <input type="radio" name="describes_you" value="employee">
                        <span class="checkround"></span>
                      </label>
                    </li>
                    <li>
                      <label class="radio">I work at an agency (serve external clients)
                        <input type="radio" name="describes_you" value="work_at_an_agency">
                        <span class="checkround"></span>
                      </label>
                    </li>
                    <li>
                      <label class="radio">I use Taskmer for personal needs
                        <input type="radio" name="describes_you" value="personal_needs">
                        <span class="checkround"></span>
                      </label>
                    </li>
                  </ul>
                </div>

                <div class="own_a_business_div d-none">
                  <div class="row">
                    <div class="col-md-12 noPadding_mobile">
                      <div class="mb-3">
                        <h4>What best describes the stage of your workplace/business?</h4>
                        <ul>
                          <li>
                            <label class="radio">Idea Phase : Initial research & planning
                              <input type="radio" name="describes_stage" value="Idea_Phase">
                              <span class="checkround"></span>
                            </label>
                          </li>
                          <li>
                            <label class="radio">Startup Phase : Launching & early operation
                              <input type="radio" name="describes_stage" value="Startup_Phase">
                              <span class="checkround"></span>
                            </label>
                          </li>
                          <li>
                            <label class="radio">Explaination Phase : Active operations & customer growth
                              <input type="radio" name="describes_stage" value="Explaination_Phase">
                              <span class="checkround"></span>
                            </label>
                          </li>
                          <li>
                            <label class="radio">Established : Strong industry presense
                              <input type="radio" name="describes_stage" value="Established">
                              <span class="checkround"></span>
                            </label>
                          </li>
                        </ul>
                      </div>
                      <div class="mb-3">
                        <h4 class="label_bottom_3">Which industry does the workplace/business belong to?</h4>
                        <input type="text" class="form-control" name="" placeholder="ex. Internet security"
                          style="width: 50%;" />
                      </div>
                      <div class="mb-3">
                        <h4 class="label_bottom_0">How many people work at your company?</h4>
                        <select class="form-control" style="width: 50%;">
                          <option value="0">Choose</option>
                          <option>10 People</option>
                          <option>20 People</option>
                          <option>30 People</option>
                          <option>40 People</option>
                          <option>50 People</option>
                        </select>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="freelancer_div d-none">
                  <div class="row">
                    <div class="col-md-12 noPadding_mobile">
                      <div class="mb-3">
                        <h4 class="label_bottom_3">Which industry does the workplace/business belong to?</h4>
                        <input type="text" class="form-control" name="" placeholder="ex. Internet security"
                          style="width: 50%;" />
                      </div>
                    </div>
                  </div>
                </div>



                <div class="row">
                  <div class="col-md-12 mt-3 noPadding_mobile">
                    <a class="btn btn-primary">Save Changes</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- <div class="tabbable-panel">
                      <div class="tabbable-line">
                          <ul class="nav nav-tabs ">
                              <li >
                                  <a href="#tab_default_1" class="active" data-toggle="tab">ACTIVE GIGS</a>
                              </li>
                          </ul>
                          <div class="tab-content">
                              <div class="tab-pane active" id="tab_default_1">

                                  <div class="row">
                                      <div class="col-md-4">
                                        <a href="Gigs_Details.html">
                                  <div class="custom_card_div">
                                      <i class="fa fa-heart like_symbol"></i>
                                      <div class="img_div">
                                          <img src="https://fiverr-res.cloudinary.com/t_gig_cards_web,q_auto,f_auto/gigs/127311624/original/fd5f5017f8718fb26906bfb941d2b60c89a8e14b.jpg">
                                      </div>
                                      <div class="content_div">
                                          <div class="card_heading_text">
                                              <h5>I will draw a unique logo for your enterprise</h5>
                                          </div>
                                          <div class="rating">
                                              <h6>4.4 
                                                  <span><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i></span>
                                                  <span> (5,000)</span>
                                              </h6>
                                          </div>
                                          <div class="Price">
                                              <div class="row">
                                                  <div class="col-md-6">
                                                      <i class="fa fa-shopping-cart shopping_cart"></i>
                                                  </div>
                                                  <div class="col-md-6 text-right">
                                                      <h6><i class="fa fa-rupee rupee_icon"></i> 4300</h6>
                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </a>
                                      </div>
                                      <div class="col-md-4">
                                        <a href="Gigs_Details.html">
                                  <div class="custom_card_div">
                                      <i class="fa fa-heart like_symbol"></i>
                                      <div class="img_div">
                                          <img src="https://fiverr-res.cloudinary.com/t_gig_cards_web,q_auto,f_auto/gigs/127311624/original/fd5f5017f8718fb26906bfb941d2b60c89a8e14b.jpg">
                                      </div>
                                      <div class="content_div">
                                          <div class="card_heading_text">
                                              <h5>I will draw a unique logo for your enterprise</h5>
                                          </div>
                                          <div class="rating">
                                              <h6>4.4 
                                                  <span><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i></span>
                                                  <span> (5,000)</span>
                                              </h6>
                                          </div>
                                          <div class="Price">
                                              <div class="row">
                                                  <div class="col-md-6">
                                                      <i class="fa fa-shopping-cart shopping_cart"></i>
                                                  </div>
                                                  <div class="col-md-6 text-right">
                                                      <h6><i class="fa fa-rupee rupee_icon"></i> 4300</h6>
                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </a>
                                      </div>
                                      <div class="col-md-4"></div>
                                  </div>
                                  <div class="row mt-4">
                                    <div class="col-md-4">
                                      <a href="become_a_seller.html">
                                  <div class="Create_New_Gig">
                                    <div class="plus_img_div">
                                      <i class="fa fa-plus"></i>
                                    </div>
                                      <h5>Become a Seller</h5>
                                  </div>
                              </a>
                                    </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div> -->
        </div>
      </div>
    </div>

  </div>

</section>


<!-- enlarge Image Pop start -->
<div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog image_inlarge_modal_dialog" style="height: 500px;">
      <div class="modal-content inlarge_modal_content">
          <div class="modal-body image_inlarge_modal_body">
              <button id="btnImageInLargeCloseButton" type="button" class="close image_inlarge_close_btn" data-dismiss="modal">
                  <img src="assets/img/cancel_img.png" width="29" />
                  <span class="sr-only">Close</span>
              </button>
              <img [src]="image_ViewUrl" class="imagepreview" style="width: 100%;">
          </div>
      </div>
  </div>
</div>
<!-- enlarge Image Pop End -->